// Defino se a renderização da 
// aplicação ocorre dentro do cordova.

    window.device = false;

// Limpando o banco de dados ao inicio do 
// carregamento.

    // store.set('source',        undefined);
    // store.set('destination',   undefined);
    store.set('currentMarker', undefined);

// Iniciando aplicação como modulo do angular, 
// com dependência do Ionic Framework.

var txsimples = angular.module('txsimples', [
    'ngResource',
    'ionic',
    'animate']);

document.addEventListener("deviceready", function() {

    window.device = true;

    if(navigator.network.connection.type == Connection.NONE) {
        alert("Não foi possivel estabelecer conexão com o servidor.");
    } else {
        console.log(navigator.network.connection.type);
    }
});

txsimples.run(['$rootScope','$state','Protected',function($rootScope, $state, Protected) {

    $rootScope.goTo = function(page) {
        console.log('Going to ' + page);
        $state.go(page);
    };

    $rootScope.cleanUp = function() {
        store.set("source", undefined);
        store.set("destination", undefined);
        store.set("estimate", undefined);
    };

    $rootScope.registered = function() {
        if( Protected.auth() === false) {
            //window.location.hash = "#/intro";
        }
        return Protected.auth();
    };

}]);
