
// Config. referente as rotas da aplicacao.
 
txsimples.config(function ($compileProvider) {
  $compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|tel):/);
})

// Definições de rotas e respectivos usos de controllers e templates.

txsimples.config(function($stateProvider, $urlRouterProvider) {

  $stateProvider

    .state('intro', {
      url: '/intro',
      templateUrl: 'templates/intro.html',
      controller: 'IntroCtrl'
    })
    
    .state('pedir', {
      url: '/pedir',
      templateUrl: 'templates/require.html',
      controller: 'RequireCtrl'
    })

    .state('registro', {
      url: '/registro',
      templateUrl: 'templates/register.html',
      controller: 'UserCtrl'
    })

    .state('definicoes', {
      url: '/definicoes',
      templateUrl: 'templates/defines.html',
      controller: 'UserCtrl'
    })

    .state('confirmar', {
      url: '/confirmar',
      templateUrl: 'templates/confirm.html',
      controller: 'ConfirmCtrl'
    })

    .state('acompanhar', {
      url: '/acompanhar',
      templateUrl: 'templates/follow.html',
      controller: 'FollowCtrl'
    }) 

  $urlRouterProvider.otherwise('/intro');

});
