txsimples.controller('AppCtrl', [
    '$scope',
    '$state',
    '$location',
    '$timeout',
    '$ionicSideMenuDelegate',
    'Protected',

    function($scope, $state, $location, $timeout, $ionicSideMenuDelegate, Protected) {

        $scope.initialize = function() {
            if($scope.registered()) {
                $(".splash-screen").hide();
            }
        };

        $scope.toggleMenu = function() {
            $ionicSideMenuDelegate.toggleLeft();
            store.set("toggleMenu", !(store.get("toggleMenu") || false) );
        };

        $scope.registered = function() {
            if( Protected.auth() === false) {
                //window.location.hash = "#/intro";
            }
            return Protected.auth();
        };

    }
    
]);
