txsimples.controller('MapCtrl', [
    '$scope',
    '$timeout',
    '$q',
    '$injector',
    '$ionicModal',
    'Map',

    function($scope, $timeout, $q, $injector, $ionicModal, Map) {
        var loaded = false;

        $ionicModal.fromTemplateUrl('modals.map', function(modal) {
            $scope.modal = modal;
        }, {
            scope: $scope,
            animation: 'slide-in-up'
        });

        $scope.initialize = function() {
            Map.initialize();
            Map.clone();

            return true;
        }

        $scope.openModal = function() {
            $scope.modal.show();

            $timeout(function() {
                loaded = loaded == false ? $scope.initialize() : Map.clone();
            }, 200);
        };

        $scope.closeModal = function() {
            $scope.modal.hide();
        };

    }

]);