txsimples.factory('RideResource', function ($resource, Facebook) {

    var options = {
        'company_id': app.company_id,

    };

    var methods = {
        callRide: {
            url: app.server + '/clients/dispatch_ride',
            method: 'POST'
        },
        createPoint: {
            url: app.server + '/clients/create_point',
            method: 'POST'
        },
        checkRide: {
            url: app.server + '/cab_request/status',
            method: 'GET'
        },
        cancel: {
            url: app.server + '/clients/cancel_ride',
            method: 'POST'
        },
        getCompanies: {
            url: app.server + '/companies.json',
            method: 'GET',
            isArray: true
        },
        estimatePrice: {
            url: app.server + '/price/city/:city/:distance',
            method: 'GET'
        }
    };

    return $resource(app.server+'/clients/:id', options, methods);

});
