txsimples.factory('UserService', function ($resource, Facebook) {

    var options = {
        'company_id': app.company_id,
    };

    var methods = {
        join: {
            url: app.server + '/clients/join',
            method: 'POST'
        },
        me: {
            url: app.server + '/clients/me',
            method: 'GET'
        },
        edit: {
            url: app.server + '/clients/:id.json',
            method: 'PUT'
        }
    };

    return $resource(app.server+'/clients/:id', options, methods);

});
