txsimples.service('Loading', function ($ionicLoading) {

    this.show = function() {
        // Show the loading overlay and text
        this.loading = $ionicLoading.show({

            // The text to display in the loading indicator
            content: '<img src="img/loading.gif" alt="Loading" />',

            // The animation to use
            animation: 'fade-in',

            // Will a dark overlay or backdrop cover the entire view
            showBackdrop: true,

            // The maximum width of the loading indicator
            // Text will be wrapped if longer than maxWidth
            maxWidth: 200,

            // The delay in showing the indicator
            showDelay: 500
        });
    }

    this.hide = function() {
        this.loading.hide();
    }

});